Debian Bug report logs - #163227
Not built with flow-tools support

version graph

Package: libcflow-perl; Maintainer for libcflow-perl is Radu Spineanu <radu@debian.org>; Source for libcflow-perl is src:flow-tools.

Reported by: Sven Hartge <hartge@ds9.argh.org>

Date: Thu, 3 Oct 2002 18:03:04 UTC

Owned by: Chris Andrews <chris@nodnol.org>

Severity: normal

Merged with 239744

Found in versions 1.051-1.1, 1.051-3

Fixed in version flow-tools/1:0.68-5

Done: Radu Spineanu <radu@timisoara.roedu.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>, libcflow-perl@packages.qa.debian.org:
Bug#163227; Package libcflow-perl. Full text and rfc822 format available.

Acknowledgement sent to Robert Flemming <flemming@vasoftware.com>:
New Bug report received and forwarded. Copy sent to Christopher L Cheney <ccheney@debian.org>, libcflow-perl@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Flemming <flemming@vasoftware.com>
To: submit@bugs.debian.org
Subject: Not built with flow-tools support
Date: Thu, 3 Oct 2002 11:02:41 -0700
Package: libcflow-perl
Version: 1.051-1.1

I find it kinda odd that the flow-tools and argus packages exist for
Debian, though this perl module is not built to support these file
formats.  The problem is the formats are mutually exclusive, so in order
to support it properly this package would have to be split into multiple
packages.  The quick fix to support one or the other would be to alter the
library path lines in the Makefile.PL in the find_flow_tools and
find_argus functions from "../../lib/" to "/usr/lib" and then add the
appropriate dependency to the control file.

Robert



Information forwarded to debian-bugs-dist@lists.debian.org, Christopher L Cheney <ccheney@debian.org>, libcflow-perl@packages.qa.debian.org:
Bug#163227; Package libcflow-perl. Full text and rfc822 format available.

Acknowledgement sent to Robert Flemming <flemming@vasoftware.com>:
Extra info received and forwarded to list. Copy sent to Christopher L Cheney <ccheney@debian.org>, libcflow-perl@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 163227@bugs.debian.org (full text, mbox):

From: Robert Flemming <flemming@vasoftware.com>
To: 163227@bugs.debian.org
Subject: flow-tools package
Date: Thu, 3 Oct 2002 11:54:36 -0700
I just realized that the flow-tools package is not a standard available
package.  Argus is so this still applies in that case.  Debs for
flow-tools are available from:

deb http://debian.a3.nl/debian/ a3 main

This may require an ITP first though.  Doh!

Robert



Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>:
Bug#163227; Package libcflow-perl. Full text and rfc822 format available.

Acknowledgement sent to Peter Hicks <peter.hicks@poggs.co.uk>:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>. Full text and rfc822 format available.

Message #15 received at 163227@bugs.debian.org (full text, mbox):

From: Peter Hicks <peter.hicks@poggs.co.uk>
To: Debian Bug Tracking System <163227@bugs.debian.org>
Subject: libcflow-perl: More information
Date: Mon, 05 Apr 2004 15:22:14 +0100
Package: libcflow-perl
Version: 1.051-3
Severity: normal
Followup-For: Bug #163227

Hi there

I notice the previous bug has been open for over a year.  Is there the
possibility of at least giving Cflow.pm support for flow-tools now, and
maybe looking at splitting the package later?

I'm writing perl scripts at the moment that could really do with making use
of flow-tools' data files, and I'm having to pin this package so my scripts
don't break.


Peter.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.4
Locale: LANG=C, LC_CTYPE=C

Versions of packages libcflow-perl depends on:
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an
ii  perl                        5.8.3-3      Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.8.3]   5.8.3-3      The Pathologically Eclectic Rubbis

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>:
Bug#163227; Package libcflow-perl. Full text and rfc822 format available.

Acknowledgement sent to Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>. Full text and rfc822 format available.

Message #20 received at 163227@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
To: Matej Zagiba <zagiba@fmph.uniba.sk>
Cc: 254001@bugs.debian.org, 163227@bugs.debian.org
Subject: Re: Bug#254001: flowscan: not working with flow-tools
Date: Sat, 26 Jun 2004 10:42:16 +1000
[Message part 1 (text/plain, inline)]
On Sat, Jun 12, 2004 at 03:00:27PM +0200, Matej Zagiba wrote:
>Package: flowscan
>Version: 1.006-4
>
>Because of dependencies, I supposed that flowscan is configured to
>work with flow-tools. It is not.
>There are two bugs:
>1. already reported bug #163227 - libcflow-perl is not build with 
>flow-tools support
>2. file /usr/share/perl5/FlowScan.pm is not capable of handling
>flow-tools timestamps format
>
>According to upstream developer Dave Plonka, at least version 1.6 of
>that file is required (ver. 1.5 is packaged).
>Using ver 1.5 just segfaults.

Is your patch an upgrade of FlowScan.pm ver. 1.5 to ver. 1.6?

Could you please provide a patch by running diff with the -urNp option?

>Versions of used software:
>Debian:        woody
>kernel:        2.4.18-1-686-smp
>libc6:         2.2.5-11.5
>perl: 	       5.6.1-8.7
>flow-tools:    0.67-4
>libcflow-perl: 1.051-1 (packaged to support flow-tools - build in contrib 
>directory of flow-tools source package flowscan:      1.006-4
>
>Additional info can be found at:
>
>http://net.doit.wisc.edu/~plonka/list/flowscan/archive/1117.html
>http://net.doit.wisc.edu/~plonka/list/flowscan/archive/0840.html
>http://net.doit.wisc.edu/~plonka/list/flowscan/archive/0848.html
>
>Yours
>  Matej Zagiba
>
>ps. Here is a diff, changes are really small:
>
>18c18
>< # $Id: FlowScan.pm,v 1.5 2001/02/11 20:41:19 dplonka Exp $
>---
>># $Id: FlowScan.pm,v 1.6 2001/03/27 20:48:01 dplonka Exp $
>32c32
>< '$Revision: 1.5 $' =~ m/(\d+)\.(\d+)/ && (( $FlowScan::VERSION ) = 
>sprintf("%d.%03d", $1, $2));
>---
>>'$Revision: 1.6 $' =~ m/(\d+)\.(\d+)/ && (( $FlowScan::VERSION ) = 
>>sprintf("%d.%03d", $1, $2));
>96c96
><            
>m/(\d\d\d\d)(\d\d)(\d\d)_(\d\d):(\d\d):(\d\d)([+-])(\d\d)(\d\d)/) {
>---
>>    m/(\d\d\d\d)-?(\d\d)-?(\d\d)[_.](\d\d):?(\d\d):?(\d\d)([+-])(\d\d)(\d\d)/) {
>108c108
><    } elsif ($file =~ m/(\d\d\d\d)(\d\d)(\d\d)_(\d\d):(\d\d):(\d\d)$/) {
>---
>>   } elsif ($file =~ 
>>   m/(\d\d\d\d)-?(\d\d)-?(\d\d)[_.](\d\d):?(\d\d):?(\d\d)$/) {
>160c160
><          RRA:AVERAGE:0:288:732
>---
>>         RRA:AVERAGE:0:288:1827
>162c162
><          RRA:MAX:0:288:732
>---
>>         RRA:MAX:0:288:1827
>193c193
>< The version number is the module file RCS revision number (B<$Revision: 
>1.5 $>)
>---
>>The version number is the module file RCS revision number (B<$Revision: 
>>1.6 $>)
>335a336
>>
>
>

Regards,

Anibal Monsalve Salazar
--
 .''`.  Debian GNU/Linux      | Building 28C
: :' :  Free Operating System | Monash University VIC 3800, Australia
`. `'   http://debian.org/    | http://www-personal.monash.edu/~anibal/
  `-                          |
[Message part 2 (application/pgp-signature, inline)]

Merged 163227 239744. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>:
Bug#163227; Package libcflow-perl. Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@Linux.IT>:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>. Full text and rfc822 format available.

Message #27 received at 163227@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@Linux.IT>
To: A.Monsalve.Salazar@IEEE.org, ivan-debian@420.am
Cc: 163227@bugs.debian.org
Subject: flow-tools support in Cflow
Date: Tue, 7 Sep 2004 15:07:02 +0200
Our package libcflow-perl currently lacks flow-tools support. In my
opinion, this makes it almost useless as nobody uses anymore the old
cflowd. There are two open bugs about it.
Fixing this in the libcflow-perl package would be complex, because to be
correctly autobuilt it would need to include the source for the whole
flow-tools package.
As the flow-tools package already contains the Cflow source in its
contrib/ directory, it would be easier to make flow-tools generate a
libcflow-perl binary package as well.
What do you think about this? If you agree with this plan I'm willing to
do the work.

-- 
ciao, |
Marco | [7842 soXge3T8d73FY]



Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>:
Bug#163227; Package libcflow-perl. Full text and rfc822 format available.

Acknowledgement sent to ivan-debian@420.am:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>. Full text and rfc822 format available.

Message #32 received at 163227@bugs.debian.org (full text, mbox):

From: ivan-debian@420.am
To: Marco d'Itri <md@Linux.IT>, 163227@bugs.debian.org
Cc: A.Monsalve.Salazar@IEEE.org
Subject: Re: Bug#163227: flow-tools support in Cflow
Date: Tue, 7 Sep 2004 15:00:56 -0700
On Tue, Sep 07, 2004 at 03:07:02PM +0200, Marco d'Itri wrote:
> Our package libcflow-perl currently lacks flow-tools support. In my
> opinion, this makes it almost useless as nobody uses anymore the old
> cflowd.  There are two open bugs about it.
> Fixing this in the libcflow-perl package would be complex, because to be
> correctly autobuilt it would need to include the source for the whole
> flow-tools package.
> As the flow-tools package already contains the Cflow source in its
> contrib/ directory, it would be easier to make flow-tools generate a
> libcflow-perl binary package as well.
> What do you think about this?

I did adopt the package intending to become a more active 
user, but the flow reporting project I was working on got delayed for a 
bit.

I would like to see a libcflow-perl that:

- Supports the data formats generated by other Debian packages; I'm 
  currently aware of flow-tools and argus; are there others?
- Supports the data formats generated by popular non-Deb packaged 
  software.

> If you agree with this plan I'm willing to do the work.

If the format read by the current libcflow-perl is no longer used, this 
seems reasonable.  Would the libcflow-perl from flow-tools upstream 
support the argus format as well?

-- 
_ivan



Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>:
Bug#163227; Package libcflow-perl. Full text and rfc822 format available.

Acknowledgement sent to Anibal Monsalve Salazar <anibal@its.monash.edu.au>:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>. Full text and rfc822 format available.

Message #37 received at 163227@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@its.monash.edu.au>
To: Marco d'Itri <md@Linux.IT>
Cc: ivan-debian@420.am, 163227@bugs.debian.org
Subject: Re: flow-tools support in Cflow
Date: Wed, 08 Sep 2004 10:17:47 +1000
[Message part 1 (text/plain, inline)]
On Tue, Sep 07, 2004 at 03:07:02PM +0200, Marco d'Itri wrote:
>Our package libcflow-perl currently lacks flow-tools support. In my
>opinion, this makes it almost useless as nobody uses anymore the old
>cflowd. There are two open bugs about it.
>Fixing this in the libcflow-perl package would be complex, because
>to be correctly autobuilt it would need to include the source for
>the whole flow-tools package.
>As the flow-tools package already contains the Cflow source in its
>contrib/ directory, it would be easier to make flow-tools generate a
>libcflow-perl binary package as well.
>What do you think about this? If you agree with this plan I'm
>willing to do the work.

I think it's great. I agree.

When do you plan to complete the corresponding work?

I'm asking because I'm planning to fix most of the flow-tools bugs in
two weeks or so.

>ciao, |
>Marco | [7842 soXge3T8d73FY]

Thank you.

Kind regards,

Anibal Monsalve Salazar
--
 .''`. Debian GNU/Linux      | Building 28C
: :' : Free Operating System | Monash University  VIC 3800  Australia
`. `'  http://debian.org/    | http://www-personal.monash.edu/~anibal
  `-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>:
Bug#163227; Package libcflow-perl. Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@Linux.IT>:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>. Full text and rfc822 format available.

Message #42 received at 163227@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@Linux.IT>
To: ivan-debian@420.am
Cc: 163227@bugs.debian.org, A.Monsalve.Salazar@IEEE.org
Subject: Re: Bug#163227: flow-tools support in Cflow
Date: Wed, 8 Sep 2004 02:53:36 +0200
On Sep 08, ivan-debian@420.am wrote:

> I would like to see a libcflow-perl that:
>
> - Supports the data formats generated by other Debian packages; I'm 
>   currently aware of flow-tools and argus; are there others?
No.

> - Supports the data formats generated by popular non-Deb packaged 
>   software.
There are no other formats which Cflow supports.

> > If you agree with this plan I'm willing to do the work.
> If the format read by the current libcflow-perl is no longer used, this 
> seems reasonable.  Would the libcflow-perl from flow-tools upstream 
> support the argus format as well?
It's the same source package, so it can be done. OTOH I'm not sure
it's worth the effort, as argus is a quite uncommon package and nobody
asked to support it (it probably has better reporting tools as well...).

-- 
ciao, |
Marco | [7856 afrnx.pd48kFY]



Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>:
Bug#163227; Package libcflow-perl. Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@Linux.IT>:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>. Full text and rfc822 format available.

Message #47 received at 163227@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@Linux.IT>
To: ivan-debian@420.am, 163227@bugs.debian.org
Subject: Re: flow-tools support in Cflow
Date: Wed, 8 Sep 2004 02:45:07 +0200
[Message part 1 (text/plain, inline)]
On Sep 08, Anibal Monsalve Salazar <anibal@its.monash.edu.au> wrote:

> When do you plan to complete the corresponding work?
Tomorrow, because I need a working package right now.

-- 
ciao, |
Marco | [7855 atMOfMewOiqFI]
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#163227; Package libcflow-perl. Full text and rfc822 format available.

Acknowledgement sent to "ivan" <ivan@420.am>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #52 received at 163227-quiet@bugs.debian.org (full text, mbox):

From: "ivan" <ivan@420.am>
To: Marco d'Itri <md@Linux.IT>, 163227-quiet@bugs.debian.org
Cc: A.Monsalve.Salazar@IEEE.org
Subject: Re: Bug#163227: flow-tools support in Cflow
Date: Tue, 7 Sep 2004 19:16:55 -0700
On Wed, Sep 08, 2004 at 02:53:36AM +0200, Marco d'Itri wrote:
> On Sep 08, ivan-debian@420.am wrote:
> 
> > I would like to see a libcflow-perl that:
> >
> > - Supports the data formats generated by other Debian packages; I'm 
> >   currently aware of flow-tools and argus; are there others?
> No.
> 
> > - Supports the data formats generated by popular non-Deb packaged 
> >   software.
> There are no other formats which Cflow supports.
> 
> > > If you agree with this plan I'm willing to do the work.
> > If the format read by the current libcflow-perl is no longer used, this 
> > seems reasonable.  Would the libcflow-perl from flow-tools upstream 
> > support the argus format as well?
> It's the same source package, so it can be done. OTOH I'm not sure
> it's worth the effort, as argus is a quite uncommon package and nobody
> asked to support it (it probably has better reporting tools as well...).

Well, it would be nice to support it since argus is packaged and all,
but like I said, as you're the active one here, so it is ultimately your
call.  When the project I need flows for gets underway again I'll be
more active.  Please feel free to add yourself to the Uploaders: field
and consider yourself a co-maintainer.

-- 
_ivan



Tags added: pending Request was from Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Flemming <flemming@vasoftware.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 163227-done@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
To: 163227-done@bugs.debian.org
Subject: Re: Not built with flow-tools support
Date: Sat, 25 Sep 2004 14:17:45 +1000
[Message part 1 (text/plain, inline)]
Format: 1.7
Date: Sun, 12 Sep 2004 22:53:46 +1000
Source: flow-tools
Binary: libcflow-perl flow-tools
Architecture: source i386
Version: 1:0.67-6
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
Changed-By: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
Description: 
 flow-tools - collects and processes NetFlow data
 libcflow-perl - Perl module for analyzing raw IP flow files written by cflowd
Closes: 163227 258842
Changes: 
 flow-tools (1:0.67-6) unstable; urgency=low
 .
   * FTBFS with gcc-3.4: label at end of compound statement (Closes: #258842).
     Patch provided by Andreas Jochens <aj@andaco.de>
 .
 flow-tools (1:0.67-5) unstable; urgency=low
 .
   * Now this source package generates the libcflow-perl package too.
     This allows it to have flow-tools support. (Closes: #163227)
   * Added an epoch to have a version number more recent than the last
     standalone libcflow-perl package.
   * Removed the remaining traces of debconf.
   * Do not provide a reload function in the init script, because it's
     not supported by the program.
   * Ported the packaging to debhelper, cleaned up debian/rules.
   * Really use the $CFLAGS value set in debian/rules.
   * Do not install another copy of the config files in the examples
   * directory.
Files: 
 9507a5552bfc801b0f2333a85028037d 708 net optional flow-tools_0.67-6.dsc
 280132e2b7d4252f809b7f3b9c03791d 8257 net optional flow-tools_0.67-6.diff.gz
 6672991006d1b3ec58de6e9c2cce66ef 1085004 net optional flow-tools_0.67-6_i386.deb
 79f473beefede50528220026e2119fee 50170 perl optional libcflow-perl_0.67-6_i386.deb


Anibal Monsalve Salazar
--
 .''`. Debian GNU/Linux      |
: :' : Free Operating System |
`. `'  http://debian.org/    | http://www-personal.monash.edu/~anibal
  `-
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator set to Ignacio Esteban <iesteban@iber-x.com>. Request was from Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Ignacio Esteban <iesteban@iber-x.com> to Robert Flemming <flemming@vasoftware.com>. Request was from Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Robert Flemming <flemming@vasoftware.com> to Robert Flemming <flemming@vasoftware.com>. Request was from Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Chris Andrews <chris@nodnol.org>. Request was from Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Andrews <chris@nodnol.org>:
Bug#163227; Package libcflow-perl. Full text and rfc822 format available.

Acknowledgement sent to Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>:
Extra info received and forwarded to list. Copy sent to Chris Andrews <chris@nodnol.org>. Full text and rfc822 format available.

Message #72 received at 163227@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
To: 163227@bugs.debian.org
Cc: Chris Andrews <chris@nodnol.org>
Subject: Re: flow-tools 0.67-6 and libcflowd-perl
Date: Sun, 12 Dec 2004 22:05:50 +1100
[Message part 1 (text/plain, inline)]
On Sun, Nov 14, 2004 at 04:02:12PM +0000, Chris Andrews wrote:
>Hi,
>
>I've just been trying to use the flow-tools and libcflowd-perl 
>packages, and I got this error:
>
>  Invalid index in cflowd flow file: 0xCF100103!
>
>when trying to use Cflowd.pm (from flowdumper, flowscan or whatever).
>
>This is caused by having built the Cflowd libarary without flow-tools 
>support, which its Makefile is supposed to autodetect. However in the 
>0.67-6 version of flow-tools source, the Makefile.PL for Cflowd gets 
>run before flow-tools is built, which means the autodetection of 
>flow-tools fails.
>
>Here's a patch to correct that and build a libcflowd-perl that's useful 
>with flow-tools output format. I note bug #163227 is now archived, but 
>as far as I can see this issue remains.
>
>Cheers,
>Chris.
>
>
>--- a/flow-tools-0.67/debian/rules      2004-11-14 15:49:09.000000000 +0000
>+++ b/flow-tools-0.67/debian/rules      2004-11-14 15:44:09.000000000 +0000
>@@ -38,13 +38,13 @@
>                --mandir=\$${prefix}/share/man 
>--sysconfdir=/etc/flow-tools \
>                --localstatedir=/etc/flow-tools \
>                --with-mysql CFLAGS="$(CFLAGS)"
>-       cd $(CF) && $(PERL) Makefile.PL INSTALLDIRS=vendor
>        touch $@
>
> build: build-stamp
> build-stamp: configure-stamp
>        dh_testdir
>        $(MAKE)
>+       cd $(CF) && $(PERL) Makefile.PL INSTALLDIRS=vendor
>        cd $(CF) && $(MAKE) OPTIMIZE="$(CFLAGS)"
>        touch $@
>

Thank you,

Anibal Monsalve Salazar
--
 .''`. Debian GNU/Linux      |
: :' : Free Operating System | http://www.debiancolombia.org/
`. `'  http://debian.org/    | http://www-personal.monash.edu/~anibal
  `-
[signature.asc (application/pgp-signature, inline)]

Reply sent to Radu Spineanu <radu@timisoara.roedu.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Flemming <flemming@vasoftware.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #77 received at 163227-done@bugs.debian.org (full text, mbox):

From: Radu Spineanu <radu@timisoara.roedu.net>
To: 163227-done@bugs.debian.org
Subject: (no subject)
Date: Mon, 01 Aug 2005 02:07:32 +0300
This is an old bug, and should not affect the latest version.




Bug reopened, originator set to Sven Hartge <hartge@ds9.argh.org>. Request was from Sven Hartge <hartge@ds9.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Radu Spineanu <radu@timisoara.roedu.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sven Hartge <hartge@ds9.argh.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #84 received at 163227-close@bugs.debian.org (full text, mbox):

From: Radu Spineanu <radu@timisoara.roedu.net>
To: 163227-close@bugs.debian.org
Subject: Bug#163227: fixed in flow-tools 1:0.68-5
Date: Fri, 16 Sep 2005 03:47:06 -0700
Source: flow-tools
Source-Version: 1:0.68-5

We believe that the bug you reported is fixed in the latest version of
flow-tools, which is due to be installed in the Debian FTP archive:

flow-tools-dev_0.68-5_i386.deb
  to pool/main/f/flow-tools/flow-tools-dev_0.68-5_i386.deb
flow-tools_0.68-5.diff.gz
  to pool/main/f/flow-tools/flow-tools_0.68-5.diff.gz
flow-tools_0.68-5.dsc
  to pool/main/f/flow-tools/flow-tools_0.68-5.dsc
flow-tools_0.68-5_i386.deb
  to pool/main/f/flow-tools/flow-tools_0.68-5_i386.deb
libcflow-perl_0.68-5_i386.deb
  to pool/main/f/flow-tools/libcflow-perl_0.68-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 163227@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Radu Spineanu <radu@timisoara.roedu.net> (supplier of updated flow-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 11 Sep 2005 15:45:04 +0300
Source: flow-tools
Binary: libcflow-perl flow-tools flow-tools-dev
Architecture: source i386
Version: 1:0.68-5
Distribution: unstable
Urgency: low
Maintainer: Radu Spineanu <radu@timisoara.roedu.net>
Changed-By: Radu Spineanu <radu@timisoara.roedu.net>
Description: 
 flow-tools - collects and processes NetFlow data
 flow-tools-dev - development files for flow-tools
 libcflow-perl - perl module for analyzing raw IP flow files written by cflowd
Closes: 163227 239744 327367 327713
Changes: 
 flow-tools (1:0.68-5) unstable; urgency=low
 .
   * Actually fix building of cflow-perl with flow-tools support
     (closes: #327367, #163227, #239744)
   * Build libft with -fPIC to link cflow-perl correctly
     (thanks to Matt Zimmerman for the help)
   * Fixed a minor error in the flow-nfilter manpage (closes: #327713)
Files: 
 aa5b6edf47a2342edfdbf4e5f446c231 815 net optional flow-tools_0.68-5.dsc
 075bb9004c6f7fce8bcfb75876832017 13178 net optional flow-tools_0.68-5.diff.gz
 3908c1c21a03168dcdb8c36105b31ced 1160594 net optional flow-tools_0.68-5_i386.deb
 7103ff87159c0fec731ca23276e3f3a2 204724 libdevel optional flow-tools-dev_0.68-5_i386.deb
 1189ddc70b28d409e4d5a1b4640954fb 79184 perl optional libcflow-perl_0.68-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDKp+DgY5NIXPNpFURAj9SAKCKfC60Ih0YINXTBQmy5iJZ1cgnlwCeOjv/
lHx/tDrZhjZpc1BGqbonVnU=
=zvE3
-----END PGP SIGNATURE-----




Reply sent to Radu Spineanu <radu@timisoara.roedu.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sven Hartge <hartge@ds9.argh.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #89 received at 239744-close@bugs.debian.org (full text, mbox):

From: Radu Spineanu <radu@timisoara.roedu.net>
To: 239744-close@bugs.debian.org
Subject: Bug#239744: fixed in flow-tools 1:0.68-5
Date: Fri, 16 Sep 2005 03:47:06 -0700
Source: flow-tools
Source-Version: 1:0.68-5

We believe that the bug you reported is fixed in the latest version of
flow-tools, which is due to be installed in the Debian FTP archive:

flow-tools-dev_0.68-5_i386.deb
  to pool/main/f/flow-tools/flow-tools-dev_0.68-5_i386.deb
flow-tools_0.68-5.diff.gz
  to pool/main/f/flow-tools/flow-tools_0.68-5.diff.gz
flow-tools_0.68-5.dsc
  to pool/main/f/flow-tools/flow-tools_0.68-5.dsc
flow-tools_0.68-5_i386.deb
  to pool/main/f/flow-tools/flow-tools_0.68-5_i386.deb
libcflow-perl_0.68-5_i386.deb
  to pool/main/f/flow-tools/libcflow-perl_0.68-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 239744@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Radu Spineanu <radu@timisoara.roedu.net> (supplier of updated flow-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 11 Sep 2005 15:45:04 +0300
Source: flow-tools
Binary: libcflow-perl flow-tools flow-tools-dev
Architecture: source i386
Version: 1:0.68-5
Distribution: unstable
Urgency: low
Maintainer: Radu Spineanu <radu@timisoara.roedu.net>
Changed-By: Radu Spineanu <radu@timisoara.roedu.net>
Description: 
 flow-tools - collects and processes NetFlow data
 flow-tools-dev - development files for flow-tools
 libcflow-perl - perl module for analyzing raw IP flow files written by cflowd
Closes: 163227 239744 327367 327713
Changes: 
 flow-tools (1:0.68-5) unstable; urgency=low
 .
   * Actually fix building of cflow-perl with flow-tools support
     (closes: #327367, #163227, #239744)
   * Build libft with -fPIC to link cflow-perl correctly
     (thanks to Matt Zimmerman for the help)
   * Fixed a minor error in the flow-nfilter manpage (closes: #327713)
Files: 
 aa5b6edf47a2342edfdbf4e5f446c231 815 net optional flow-tools_0.68-5.dsc
 075bb9004c6f7fce8bcfb75876832017 13178 net optional flow-tools_0.68-5.diff.gz
 3908c1c21a03168dcdb8c36105b31ced 1160594 net optional flow-tools_0.68-5_i386.deb
 7103ff87159c0fec731ca23276e3f3a2 204724 libdevel optional flow-tools-dev_0.68-5_i386.deb
 1189ddc70b28d409e4d5a1b4640954fb 79184 perl optional libcflow-perl_0.68-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDKp+DgY5NIXPNpFURAj9SAKCKfC60Ih0YINXTBQmy5iJZ1cgnlwCeOjv/
lHx/tDrZhjZpc1BGqbonVnU=
=zvE3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 00:08:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:21:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.